package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.TmstrainTruckTotalResult;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface TmstrainTruckTotalResultMapper extends IBaseMapper<TmstrainTruckTotalResult, BigDecimal> {

    @Select("select SEQ_TMSTRAIN_LOAD_TRUCK.nextval from dual")
    BigDecimal selectMaxId();

    //通过物资ID和汽运总实绩ID和火运总实绩ID查物资中间表ID
    Integer getIdByMateAndTruckAndTrainTotalId(Map<String, Object> map);

}