package com.steerinfo.dil.service;

import java.util.List;
import java.util.Map;

/**
 * TmstrainMeasureCommission服务接口：
 * @author TXF
 * @version 1.0-SNAPSHORT 2021-12-09 06:52
 * 类描述
 * 修订历史：
 * 日期：2021-12-09
 * 作者：generator
 * 参考：
 * 描述：TmstrainMeasureCommission服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmstrainMeasureCommissionService{

    //查询火车车皮计量委托
    Map<String, Object> getTrainMeasureCommission(Map<String, Object> map);

    //添加火车计量委托
    int addTrainMeasureCommission(Map<String, Object> map);

    //查询待计量的装车数据
    List<Map<String, Object>> getLoadResultToSendMC(Map<String, Object> map);

    //查询已计量的计量实绩
    List<Map<String, Object>> getWeightResult(Map<String, Object> map);

    //批量发送计量委托
    int batchSendMeasureCommission(Map<String, Object> map);

}